(* example borrowed from
    http://caml.inria.fr/pub/docs/manual-ocaml-400/manual033.html
*)

type window                   (* The type "window" remains abstract *)
val initscr: unit -> window
val endwin: unit -> unit
val refresh: unit -> unit
val wrefresh : window -> unit
val newwin: int -> int -> int -> int -> window
val addch: char -> unit
val mvwaddch: window -> int -> int -> char -> unit
val addstr: string -> unit
val mvwaddstr: window -> int -> int -> string -> unit
val getmaxyx: window -> int * int

val getch : unit -> int


(* vim: set et sw=2 sts=2 ts=8 : *)
