

val set_readline_name : string -> unit
val readline : unit -> string option
val readline_prompt : string -> string option
val add_history  : string -> unit
val connect_to_curses : unit -> unit
val line_buffer : unit -> string
val wrong_cursor_position : unit -> int


val utf8length : string -> int

(* returns input and correct cursor utf8-position *)
val readline_state : unit -> string * int

(* registers a new redraw-callback replacing the previous one *)
val register_redraw: (unit -> unit) -> unit

(* vim: set et sw=2 sts=2 ts=8 : *)
