
open Curses
open Readline

(*
let main1 () =
  let (Some message) = Readline.readline() in
  let main_window = initscr () in
  let small_window = newwin 10 5 20 10 in
  mvwaddstr main_window 10 2 message;
  mvwaddstr small_window 4 3 "world";
  refresh();
  Unix.sleep 3;
  endwin()
*)

let main2 () =
  let redraw() = 
    let str, cursor = readline_state () in
    print_endline str;
    print_endline (String.make cursor ' ' ^ "^")
  in
  register_redraw redraw ;
  Readline.readline()

let main3 () =
    NCUI.screen_open();
    NCUI.set_root_widget (NCUI.label "HALLOOOO");
    Unix.sleep 3;
    NCUI.screen_close()

let main4 () =
    let session = {
      Repl.prompt = "> ";
      Repl.bindings = Repl.addHelpBinding [
        Repl.bind "echo"
         (fun args -> print_endline (String.concat " " args))
         "prints all its arguments space separated"
         "The call of: echo A B C ... \nprints: A B C ..."
        ;
        Repl.exitBinding
      ];
    }
    in
    Repl.start session

let _ = main4 ()

(* vim: set et sw=2 sts=2 ts=8 : *)
